Check authorization
Code samples
# Example request using curl
curl -X POST http://coder-server:8080/api/v2/authcheck \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
POST /authcheck
Body parameter
{
"checks": {
"property1": {
"action": "create",
"object": {
"any_org": true,
"organization_id": "string",
"owner_id": "string",
"resource_id": "string",
"resource_type": "*"
}
},
"property2": {
"action": "create",
"object": {
"any_org": true,
"organization_id": "string",
"owner_id": "string",
"resource_id": "string",
"resource_type": "*"
}
}
}
}
Parameters
Example responses
200 Response
{
"property1": true,
"property2": true
}
Responses
To perform this operation, you must be authenticated. Learn more .
Log in user
Code samples
# Example request using curl
curl -X POST http://coder-server:8080/api/v2/users/login \
-H 'Content-Type: application/json' \
-H 'Accept: application/json'
POST /users/login
Body parameter
Parameters
Example responses
201 Response
{
"session_token": "string"
}
Responses
Change password with a one-time passcode
Code samples
# Example request using curl
curl -X POST http://coder-server:8080/api/v2/users/otp/change-password \
-H 'Content-Type: application/json'
POST /users/otp/change-password
Body parameter
{
"email": "[email protected] ",
"one_time_passcode": "string",
"password": "string"
}
Parameters
Responses
Status Meaning Description Schema 204 No Content No Content
Request one-time passcode
Code samples
# Example request using curl
curl -X POST http://coder-server:8080/api/v2/users/otp/request \
-H 'Content-Type: application/json'
POST /users/otp/request
Body parameter
Parameters
Responses
Status Meaning Description Schema 204 No Content No Content
Validate user password
Code samples
# Example request using curl
curl -X POST http://coder-server:8080/api/v2/users/validate-password \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
POST /users/validate-password
Body parameter
Parameters
Example responses
200 Response
{
"details": "string",
"valid": true
}
Responses
To perform this operation, you must be authenticated. Learn more .
Convert user from password to oauth authentication
Code samples
# Example request using curl
curl -X POST http://coder-server:8080/api/v2/users/{user}/convert-login \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Coder-Session-Token: API_KEY'
POST /users/{user}/convert-login
Body parameter
{
"password": "string",
"to_type": ""
}
Parameters
Example responses
201 Response
{
"expires_at": "2019-08-24T14:15:22Z",
"state_string": "string",
"to_type": "",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"
}
Responses
To perform this operation, you must be authenticated. Learn more .